Package org.drinkless.tdlib

# Class TdApi.AlternativeVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AlternativeVideo

Enclosing class:
  `TdApi`

public static class TdApi.AlternativeVideo extends TdApi.Object
Describes an alternative re-encoded quality of a video file.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `codec`
  Codec used for video file encoding, for example, "h264", "h265", "av1", or "av01".
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `height`
  Video height.
  `TdApi.File`
  `hlsFile`
  HLS file describing the video.
  `long`
  `id`
  Unique identifier of the alternative video, which is used in the HLS file.
  `TdApi.File`
  `video`
  File containing the video.
  `int`
  `width`
  Video width.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlternativeVideo()`
  Describes an alternative re-encoded quality of a video file.
  `AlternativeVideo(long id, int width, int height, String codec, TdApi.File hlsFile, TdApi.File video)`
  Describes an alternative re-encoded quality of a video file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique identifier of the alternative video, which is used in the HLS file.

  - ### width

    public int width
    Video width.

  - ### height

    public int height
    Video height.

  - ### codec

    public String codec
    Codec used for video file encoding, for example, "h264", "h265", "av1", or "av01".

  - ### hlsFile

    public TdApi.File hlsFile
    HLS file describing the video.

  - ### video

    public TdApi.File video
    File containing the video.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AlternativeVideo

    public AlternativeVideo()
    Describes an alternative re-encoded quality of a video file.

  - ### AlternativeVideo

    public AlternativeVideo(long id, int width, int height, String codec, TdApi.File hlsFile, TdApi.File video)
    Describes an alternative re-encoded quality of a video file.
    Parameters:
      `id` - Unique identifier of the alternative video, which is used in the HLS file.
      `width` - Video width.
      `height` - Video height.
      `codec` - Codec used for video file encoding, for example, "h264", "h265", "av1", or "av01".
      `hlsFile` - HLS file describing the video.
      `video` - File containing the video.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR